Subject: Ticket Assigned - Invoice #8293236539
From: Homecentre <[email-masked]>
To: [email-masked]
Date: Tue, 12 Oct 2021 02:22:48 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Invoice #8293236539 ContactedOn September 4th I placed an order in the Amount of 92.500/KD.  But for some reason Home Centre cancelled it.  I tried to place the order again and the second attempt was a success. My order was delivered on September 7th.
An email message stated I wasn't charged for the cancelled order (see Attachment). Yet my KFH bamk statement shows my account was debited 92.500/KD twice (see Attachment).
Immediately I called Home Centre and was told to Comtactvmy Bank.  I did amd they filed paperwork to Knet.
Later KFH said that I had to go directly to Home Center.  I did on Sunday October 10th.  Gave the manager all my paper work.  Was told I would receive an email.  So far no email
It has been over month and I have had no idea what the status of my refund is.  I even called Knet amd they told me to file a report with my bank. I told them I did weeks ago and thier reply was they will deal with my bank.
KFH said Knet couldnt help them because the money went to Home Centre.  
Can you please check your computer records for this transaction.  It  was an online order and it happened over one month ago.  It should be in your records and if you dont have it you need to let me know where it might have went.  I tried contacting you first then KFH, Knet and then went to your store im Shuwaik and now I am contacting you  because I was promised help on October 10th and gave my phone number and email address so you could let me know whats holding up my refund.  This is the first time I have ever had to wait so long to resolve an issue regarding an overcharge on my debit card.
Thank you for your time and if dont hear from you within 1 week I will once again visit your store and again check the status of my refund.  

Sent from Yahoo Mail on Android
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3214440